/Profile/{id}
GET
/Profile/{id}
const url = 'https://api.chatfood.app/Profile/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.chatfood.app/Profile/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Authorizations
Seção intitulada “Authorizations”Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”id
required
string format: uuid
Responses
Seção intitulada “Responses”OK
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
name
string
surname
string
username
string
email
string
phone
string
pictureUrl
string
pageId
string format: uuid
pageAccountId
string format: uuid
pageReferenceId
string
pageName
string
providerId
integer format: int32
profileReferenceId
string
properties
object
key
additional properties
string
tags
Array<string>
tagEvents
Array<object>
object
tag
string
action
integer format: int32
occurredAt
string format: date-time
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
name
string
surname
string
username
string
email
string
phone
string
pictureUrl
string
pageId
string format: uuid
pageAccountId
string format: uuid
pageReferenceId
string
pageName
string
providerId
integer format: int32
profileReferenceId
string
properties
object
key
additional properties
string
tags
Array<string>
tagEvents
Array<object>
object
tag
string
action
integer format: int32
occurredAt
string format: date-time
Example
{ "providerId": 1, "tagEvents": [ { "action": 0 } ]}object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
name
string
surname
string
username
string
email
string
phone
string
pictureUrl
string
pageId
string format: uuid
pageAccountId
string format: uuid
pageReferenceId
string
pageName
string
providerId
integer format: int32
profileReferenceId
string
properties
object
key
additional properties
string
tags
Array<string>
tagEvents
Array<object>
object
tag
string
action
integer format: int32
occurredAt
string format: date-time
Example
{ "providerId": 1, "tagEvents": [ { "action": 0 } ]}